The "List Prices for a Product" API allows retrieving a paginated list of prices associated with a specific product. Customize your results by filtering prices or paginate through the list using the provided query parameters.

http
GET https://services.leadconnectorhq.com/products/{productId}/price

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
productIdstringYes6578278e879ad2646715ba9cID of the product that needs to be used

Query parameters

NameTypeRequiredExampleDescription
limitnumberNo20The maximum number of items to be included in a single page of results
offsetnumberNo0The starting index of the page, indicating the position from which the results should be retrieved.
locationIdstringYes3SwdhCsvxI8Au3KsPJt6The unique identifier for the account.
idsstringNo6241712be68f7a98102ba272,632027d51f7876cd3020213dTo filter the response only with the given price ids, Please provide with comma separated

Responses

200 - Successful response
  • prices (object[], required): An array of prices

    • _id (string, required): The unique identifier for the price. Example: 655b33aa2209e60b6adb87a7

    • membershipOffers (object[]): An array of membership offers associated with the price.

      • label (string, required): Membership offer label Example: top_50

      • value (string, required): Membership offer label Example: 50

      • _id (string, required): The unique identifier for the membership offer. Example: 655b33aa2209e60b6adb87a7

    • variantOptionIds (string[]): An array of variant option IDs associated with the price.

    • locationId (string): The unique identifier for the account. Example: 3SwdhCsvxI8Au3KsPJt6

    • product (string): The unique identifier for the associated product. Example: 655b33a82209e60b6adb87a5

    • userId (string): The unique identifier for the user. Example: 6YAtzfzpmHAdj0e8GkKp

    • name (string, required): The name of the price. Example: Red / S

    • type (string, required): The type of the price (e.g., one_time). Possible values: 'one_time', 'recurring' Example: one_time

    • currency (string, required): The currency code for the price. Example: INR

    • amount (number, required): The amount of the price. Example: 199999

    • recurring (object): The recurring details of the price (if type is recurring).

    • createdAt (string): The creation timestamp of the price. Example: 2023-11-20T10:23:38.645Z

    • updatedAt (string): The last update timestamp of the price. Example: 2024-01-23T09:57:04.852Z

    • compareAtPrice (number): The compare-at price for comparison purposes. Example: 2000000

    • trackInventory (boolean): Indicates whether inventory tracking is enabled.

    • availableQuantity (number): Available inventory stock quantity Example: 5

    • allowOutOfStockPurchases (boolean): Continue selling when out of stock Example: True

  • total (number, required): Example: 10

json
{
  "prices": [
    {
      "_id": "655b33aa2209e60b6adb87a7",
      "membershipOffers": [
        {}
      ],
      "variantOptionIds": [
        "h4z7u0im2q8",
        "h3nst2ltsnn"
      ],
      "locationId": "3SwdhCsvxI8Au3KsPJt6",
      "product": "655b33a82209e60b6adb87a5",
      "userId": "6YAtzfzpmHAdj0e8GkKp",
      "name": "Red / S",
      "type": "one_time",
      "currency": "INR",
      "amount": 199999,
      "createdAt": "2023-11-20T10:23:38.645Z",
      "updatedAt": "2024-01-23T09:57:04.852Z",
      "compareAtPrice": 2000000,
      "availableQuantity": 5,
      "allowOutOfStockPurchases": true
    }
  ],
  "total": 10
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/products/YOUR_productId/price' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?